!-----------------------------------------------------------------------------
! Magic And Fight System --- Basic TOPIC parsing routines
! For INFORM compiler and Z-Machine text based Adventure games
!-----------------------------------------------------------------------------
!  Author: Giancarlo Niccolai
!  Version: 1.0
!  Last Revised:
!  Contact author at: antispam@niccolai.ws
!  Feel free to use and distribute this file, but please report me if
!  you intend to change it (in better), so we can upgrade together
!
!  Released under GPL 2.0, or any later version at your will
!
!-----------------------------------------------------------------------------
!
!-----------------------------------------------------

Ifndef MFS_GetWord;

[ MFS_GetWord param word;

   if ( param == 0 )
      wn = consult_from;

   while ( wn-consult_from  < consult_words ) {
      word = NextWord();
      if ( MFS_Discard( word ) )
         continue;
      else
         return word;
   }
   return 0;
];

! Too many ORs made inform segfault!
[MFS_Discard word;
   if ( word ~= 'il' or 'lo' or 'la' or 'il'
         or 'gli' or 'le' or 'i' or 'quegli'
         or 'quei' or 'quel' or 'quello' or 'quella' or 'mio'
         or 'tuo' or 'suo' or 'nostro' or 'vostro' or 'loro'
         && word ~=
         'dei' or 'di' or 'del' or 'dello' or 'della' or 'degli' or 'delle'
         or '@`e' or 'sono' or 'ha' or 'hanno' or 0 or nothing
   )
      return false;
   return true;
];

Endif;
